using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class MainMenuAdministrator : MonoBehaviour {

	[SerializeField] Button startButton;

	public void Awake () {
		startButton.onClick.AddListener(OnStartClick);
	}

    public void OnStartClick()
    {
        //Load the beginning scene
		StartCoroutine(LoadHotel());
    }

    IEnumerator LoadHotel()
    {
		Debug.Log("Attempt Async Load");
        AsyncOperation async = Application.LoadLevelAsync("GrimHotel");
        yield return async;
        Debug.Log("Now Starting Gameplay");
    }
}
